Subject: Re: question on RFC1771 9.1.3

From: Jeffrey Haas <[email-masked]>
Date: Tue, 1 Feb 2005 09:07:59 -0500

I could swear that I answered this recently, but it may have been off-list.

Draft-06 of MSDP at one point required BGP to reflect it's route back,
much like DVMRP, to signal that the route is the route being used for
RPF.  This was used by the peer-flooding mechanism of MSDP.

Later versions of the draft, and also the current updated MSDP draft
do not seem to require this, although those drafts will still use the
contents of the AS_PATH database.

On Sat, Jan 22, 2005 at 07:40:14PM -0500, Curtis Villamizar wrote:
> In message <[email-masked]>
> "Jason Chen" writes:
> >  
> >  
> > Hi,
> >  
> > Can someone enlighten me on one paragraph on BGP RFC 1771 ?
> >  
> >    For the benefit of future support of inter-AS multicast capabilities,
> >    a BGP speaker that participates in inter-AS multicast routing shall
> >    advertise a route it receives from one of its external peers and if
> >    it installs it in its Loc-RIB, it shall advertise it back to the peer
> >    from which the route was received. For a BGP speaker that does not
> >    participate in inter-AS multicast routing such an advertisement is
> >    optional."
> >  
> > I cannot figure out where it applied to and how it works? Is this
> > mandatory requirement for supporting MSDP?
> >  
> > Appreciate for the help.
> >  
> > Jason
> 
> 
> 
> Jason,
> 
> At the risk of being proven wrong ...
> 
> I think that is left over from the days of Multicast BGP and MOSPF.
> I'm not sure if it is still needed.  In any case it doesn't hurt.  If
> you don't use Multicast BGP, and no one does, then don't bother with
> this advertisement.
> 
> Does anyone think this is needed?

-- 
Jeff Haas 
NextHop Technologies

_______________________________________________
routing-discussion mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/routing-discussion